<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<section>
    <form class="task-form" action="#" name="new-task">
        <div>
            <div></div>
            <div>
                <input class="task-form_text" type="text" name="task"/>
                <input type="submit" value="Add"/>
            </div>
        </div>
    </form>
    <table class="table">
        <thead>
        <tr>
            <th></th>
            <th></th>
            <th></th>
            <th></th>
        </tr>
        </thead>
        <tbody class="table_body">
        <tr>
            <th></th>
            <td></td>
            <td><button type="button">Remove</button></td>
        </tr>
        </tbody>
    </table>
</section>

<script>
        var ToDo = function () {
            this.model = [{text: 'задача 1'},
                {text: 'задача 2'},
                {text: 'задача 3'}
            ];
            this.form = document.getElementsByClassName("task-form");
            this.inputField = document.getElementsByClassName("task-form_text");
            this.todoList = document.getElementsByClassName("table_body");
            this.init();
        };

        ToDo.prototype.init = function () {
            var __self = this;

            this.form.submit(function () {
                __self.onFormSubmit();
            });
            this.renderList();

        };
        ToDo.prototype.getLength = function () {
            return this.model.length;
        };

        ToDo.prototype.getItemHtml = function (index, item) {
            var tmpl = '<tr><th>{index}</th><td>{text}</td><td><button type="button" class="btn btn-info">i</button></td><td><button type="button" class="btn btn-changer">x</button></td></tr>'
            return tmpl.replace('{index}', index).replace('{text}', item);
        };

        ToDo.prototype.addItem = function (todoText) {
            var newTodo = {text: todoText};
            this.model.push(newTodo);
        };

        ToDo.prototype.appendRenderItem = function (index, item) {
            this.todoList.append(this.getItemHtml(index, item.text));
        };

        ToDo.prototype.renderList = function () {
            var list = '';
            __self = this;
            $.each(this.model, function (index, item) {
                list += __self.getItemHtml(index + 1, item.text);
            });
            this.todoList.html(list);
        };

        ToDo.prototype.onFormSubmit = function (e) {
            e.preventDefault();
            this.addItem(this.inputField.value);
            this.form.trigger('reset');

        };

        window.todo = new ToDo();



</script>
</body>
</html>
